Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/responses/
Date: Mon, 31 Jul 2017 18:12:44
Message-Id: 1501524711.d80049302f6638a1f48f70389308b3e25c60ad80.bicatali@gentoo
commit:     d80049302f6638a1f48f70389308b3e25c60ad80
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 19:46:22 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 18:11:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8004930

dev-python/responses: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/responses/Manifest               |  1 +
 dev-python/responses/responses-0.6.0.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/responses/Manifest b/dev-python/responses/Manifest
index 4245b2e5336..b0c64bc3317 100644
--- a/dev-python/responses/Manifest
+++ b/dev-python/responses/Manifest
@@ -1 +1,2 @@
 DIST responses-0.5.1.tar.gz 11697 SHA256 6d4c96cadbd2528ac4a9451ccf1bfe33c83fd6a8281bfd89656bdbaa0a8cceff SHA512 bd3dcd0cb97d46519371fbda11b42f2dae6c12e2492e6872f29cab31d5cc3942388d0d1d1d400ddd07bf810951edb75ee20f144b24750a3103a0d0d9ba2f78eb WHIRLPOOL fa5304b87e17fbe74ce532a4795132f0b311c9bd8ef5fd5c5d870ea1770afe4b8f69d9780bccf171dcf46f944f8cea12befc479b176274e1df472c672a7bce1f
+DIST responses-0.6.0.tar.gz 14073 SHA256 c515143ff64d8ccf35a0a1bd9e4fc962f64b8d1e6be0e61d0fb51934dafdd863 SHA512 32d41be5850f0040a4f2ad82a057d6ef73f0f83f7d3c250fa223d5614470b0b8b58790667af76ecc6b0b7e8e2a0a069c46c7913e983730c968c603e2716dec0b WHIRLPOOL 3391098552d264fe625a85b8584720c448c6df2eb84c92093dec0be810a460831ea178a0f81d7148421221643ce377fc13797e0c114080f39750f5ff016f0cb3

diff --git a/dev-python/responses/responses-0.6.0.ebuild b/dev-python/responses/responses-0.6.0.ebuild
new file mode 100644
index 00000000000..6f8876c60a8
--- /dev/null
+++ b/dev-python/responses/responses-0.6.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+
+inherit distutils-r1
+
+DESCRIPTION="Utility for mocking out the Python Requests library"
+HOMEPAGE="https://github.com/getsentry/responses"
+SRC_URI="https://github.com/getsentry/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=">=dev-python/requests-2.0[${PYTHON_USEDEP}]
+	dev-python/cookies[${PYTHON_USEDEP}]
+	dev-python/mock[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]"
+
+DEPEND="test? ( ${RDEPEND}
+	dev-python/pytest[${PYTHON_USEDEP}] )
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+	py.test || die
+}